Bekomme PyQt 4.5 Snapshot nicht installiert

Probleme bei der Installation?
Antworten
Benutzeravatar
snafu
User
Beiträge: 5440
Registriert: Donnerstag 21. Februar 2008, 17:31
Wohnort: Gelsenkirchen

Samstag 21. März 2009, 17:01

Es kommt eine Fehlermeldung:

Code: Alles auswählen

~/PyQt-x11-gpl-4.5-snapshot-20090320$ python configure.py --verbose
Determining the layout of your Qt installation...
/usr/bin/qmake -o qtdirs.mk qtdirs.pro
make -f qtdirs.mk
g++ -c -pipe -O2 -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I. -I. -o qtdirs.o qtdirs.cpp
qtdirs.cpp:1:17: error: QFile: Datei oder Verzeichnis nicht gefunden
qtdirs.cpp:2:24: error: QLibraryInfo: Datei oder Verzeichnis nicht gefunden
qtdirs.cpp:3:23: error: QTextStream: Datei oder Verzeichnis nicht gefunden
qtdirs.cpp: In function 'int main(int, char**)':
qtdirs.cpp:7: error: 'QFile' was not declared in this scope
qtdirs.cpp:7: error: expected `;' before 'outf'
qtdirs.cpp:9: error: 'outf' was not declared in this scope
qtdirs.cpp:9: error: 'QIODevice' has not been declared
qtdirs.cpp:9: error: 'QIODevice' has not been declared
qtdirs.cpp:9: error: 'QIODevice' has not been declared
qtdirs.cpp:12: error: 'QTextStream' was not declared in this scope
qtdirs.cpp:12: error: expected `;' before 'out'
qtdirs.cpp:14: error: 'out' was not declared in this scope
qtdirs.cpp:14: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:14: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:15: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:15: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:16: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:16: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:17: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:17: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:18: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:18: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:19: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:19: error: 'QLibraryInfo' has not been declared
qtdirs.cpp:21: error: 'QT_VERSION' was not declared in this scope
qtdirs.cpp:22: error: 'QT_EDITION' was not declared in this scope
qtdirs.cpp:64: error: 'qreal' was not declared in this scope
make: *** [qtdirs.o] Fehler 1
Error: Failed to determine the layout of your Qt installation. Try again using
the --verbose flag to see more detail about the problem.
Von den Qt-Paketen habe ich die jeweiligen 4.5.0-2 Versionen aus `debian experimental` installiert.

Kann mir jemand weiterhelfen?
shcol (Repo | Doc | PyPi)
sma
User
Beiträge: 3018
Registriert: Montag 19. November 2007, 19:57
Wohnort: Kiel

Sonntag 22. März 2009, 11:05

Und hast du mal `Try again using the --verbose flag to see more detail about the problem.` ausprobiert? Vielleicht hilft das ja wirklich :)

Stefan
lunar

Sonntag 22. März 2009, 11:54

Schau dir mal seine Kommandozeile an ... ;)
Benutzeravatar
hendrikS
User
Beiträge: 420
Registriert: Mittwoch 24. Dezember 2008, 22:44
Wohnort: Leipzig

Sonntag 22. März 2009, 12:11

Es können doch offensichtlich 3 include files nicht gefunden werden.
Das was Du bauen willst und das was Du hast paßt irgendwie nicht zusammen?

Der Rest sind Folgefehler.
Benutzeravatar
snafu
User
Beiträge: 5440
Registriert: Donnerstag 21. Februar 2008, 17:31
Wohnort: Gelsenkirchen

Sonntag 22. März 2009, 17:00

Problem scheint gelöst zu sein. Ich musste noch `libqt4-dev` aus `experimental` installieren. Im Moment läuft `make`...

Eigentlich eine recht triviale Geschichte. Hendriks Hinweis hatte mich dazu gebracht, mal zu gucken, wo `QFile` überhaupt drin ist. Und in diesem Paket sind auch die anderen benötigten Dateien. Danke. :)
shcol (Repo | Doc | PyPi)
Antworten